This ZIP file contains all the materials used in the paper "A Black Box Tool for Robustness Testing of REST Services", submited to IEEE Access. Please find an updated version of the source code at **https://git.dei.uc.pt/cnl/bBOXRT**

The structure of this ZIP file is as follows:
- Experiments: Folder containing all the experiment data

	- Workload/Faultload: Folders containing all the raw experiment results from the Workload and Faultload phases
	
	- Behavior tags.xlsx: Excel file with the behavior tags and respective descriptions
	
	- Evaluation results - *.xlsx: Excel files with the complete set of problems found (full versions) and the reduced set of only the important robustness problems as shown in the paper (lite version)
	
	- Fault model.xlsx: Excel file describing the faults considered for this experiment

- Tool: Folder containing all the source code and resources for our tool
	
	- API Setup code: Set of uncompiled Java classes (i.e., in *.java files) the tool uses for loading and setting up each API specification.

	- API Specifications: Set of YAML-formatted Swagger/OpenAPI specifications of multiple REST APIs along with the uncompiled Java classes (i.e., in *.java files) the tool uses for loading and setting up each API specification before testing

	- src: Source code for the tool

- Scripts: folder containing the Python and R scripts used to, respectively, obtain a few statistics from the results and generate high-quality plots from the data


For running the tool, the code should first be compiled into a JAR executable.
The syntax for running the tool through the command line is as follows:
	RestApiRobustnessTester.jar [options...] --api-file <API *.java file> --wl-results <workload results *.xlsx file> --fl-results <faultload results *.xlsx file>
	Where the available options are:
		--wl-rep <reps> Number of parameter repetitions for workload generation (default is 10)
		--wl-retry <retries> Number of retries for failed workload requests (default is 1)
		--wl-max-time <seconds> Maximum duration of workload execution or 0 for exhausting all requests (default is 0)
		--fl-rep <reps> Maximum number of times a fault can be injected into a request parameter (default is 3)
		--fl-max-time <seconds> Maximum duration of faultload execution or 0 for exhausting all requests (default is 0)
		--out <file name> Print output to an external file rather than to the console
		--keep-failed-wl Keeps the workload requests that result in a non 2xx response
		--proxy-port <port> Run as a fault injector proxy (i.e., only faultload execution) bound to this port
		--conn-timeout <seconds> Timeout value for all connections (default is 60)
