library(readr)
library(ggplot2)
library(plyr)
library(scales)

Tags <- read_delim("D:/Documents/UC/2 Ano/Tese/4 - Evaluation/2 - Large/R/Tag per service.csv", ";", escape_double = FALSE, trim_ws = TRUE)

# for (i in 1:length(Tags$Tag))
# {
#   Tags$Tag[i] = paste0(Tags$Tag[i], " (", Tags$Count[i], ")")
# }

tagNames = unique(Tags$Tag)
for(i in 1:length(tagNames))
{
  s = sum(subset(Tags, Tags$Tag == tagNames[i])$Count)
  tagNames[i] = paste0(tagNames[i], " (", s, ")")
}
Tags$Tag = rep(tagNames, length(unique(Tags$Set)))

# Tags = Tags[rev(order(Tags$Count)),]

plot <- ggplot(Tags, aes(x = reorder(Tag, Count/sum(Count)), y=Count/sum(Count), fill = Set))
plot <- plot + geom_bar(stat = "identity", position = position_stack(reverse = TRUE))
#plot <- plot + scale_fill_brewer(palette="Set1", direction = -1)
plot <- plot + scale_fill_manual(values = c("#3e9651", "#ed7d31", "#777777", "#5b9bd5", "#cc2528")) #"#da7c30", "#3969b1", "#535154")) # "#6b4c9a"))
plot <- plot + coord_flip()
#plot <- plot + scale_x_discrete(limits = rev(unique(Tags$Tag)))
plot <- plot + scale_y_continuous(labels = scales::percent_format(accuracy = 1, suffix = ""), breaks = pretty_breaks(15))
plot <- plot + theme(text = element_text(colour = "#000000", size = 15), axis.text=element_text(colour="#000000"),
                     legend.position = c(0.85, 0.50))
plot <- plot + xlab("Behavior tag") + ylab("Prevalence in services (%)")
print(plot)




# 
# plot <- ggplot(Tags, aes(Tag))
# plot <- plot + geom_bar(position = position_fill(reverse = TRUE), aes(y=..count.., fill = Set))
# #plot <- plot + scale_fill_brewer(palette="Set1", direction = -1)
# plot <- plot + scale_fill_manual(values = c("#3e9651", "#ed7d31", "#777777", "#5b9bd5", "#cc2528")) #"#da7c30", "#3969b1", "#535154")) # "#6b4c9a"))
# plot <- plot + coord_flip()
# plot <- plot + scale_x_discrete(limits = rev(sort(unique(Tags$Tag))))
# plot <- plot + scale_y_continuous(labels = scales::percent_format(suffix = ""), breaks = pretty_breaks(10))
# plot <- plot + theme(text = element_text(colour = "#000000", size = 15), axis.text=element_text(colour="#000000"))
# plot <- plot + xlab("Behavior tag") + ylab("Frequency (%)")
# print(plot)
