import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.parser.OpenAPIResolver;
import io.swagger.v3.parser.OpenAPIV3Parser;
import pt.uc.dei.rest_api_robustness_tester.security.AuthHandlers;
import pt.uc.dei.rest_api_robustness_tester.specification.*;
import pt.uc.dei.rest_api_robustness_tester.request.Parameter;
import pt.uc.dei.rest_api_robustness_tester.Path;
import pt.uc.dei.rest_api_robustness_tester.workload.OperationFilter;
import pt.uc.dei.rest_api_robustness_tester.workload.ParameterFilter;

import java.io.File;
import java.util.Base64;
import java.util.List;
import java.util.ArrayList;

public class Ably implements RestApiSetup
{
    @Override
    public RestApi Load()
    {
        String apiKey = "IPZ9LA.gmUtHw:c-dnWETt23_Z_YJC";
		String auth = "Basic " + Base64.getEncoder().encodeToString(apiKey.getBytes());
    
        File file = new File("API Specifications\\Public tier 2\\Ably", "Ably.yaml");
        AuthHandlers authHandlers = new AuthHandlers();
        authHandlers.AddAuthHandler("basicAuth", requestBuilder -> requestBuilder.addHeader("Authorization", auth));
    
        OpenAPI openAPI = new OpenAPIV3Parser().read(file.getAbsolutePath());
        OpenAPIResolver res = new OpenAPIResolver(openAPI);
        openAPI = res.resolve();
    
        RestApiConverter<OpenAPI> converter = new OpenApiToRestApi();
        RestApiSpecification restAPISpecification = converter.Convert(openAPI);
		
		List<String> channel_ids = new ArrayList<>();
		for(int i = 0; i < 10; i++)
			channel_ids.add("channel" + i);
		
		
		RestApiConfig config = new RestApiConfig();
        config.AddParameterFilter(new ParameterFilter("channel_id", Parameter.Location.Path).SetValues(channel_ids).ApplyToAll()).
				AddParameterFilter(new ParameterFilter("prefix", Parameter.Location.Query).SetValue("channel").
									ApplyToOperation(Path.HttpMethod.GET, "/channels")).
                AddOperationFilter(new OperationFilter(Path.HttpMethod.POST, "/keys/{keyName}/requestToken").Ignore());
        
        return new RestApi("Ably", restAPISpecification, authHandlers, config);
    }
}
