import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.parser.OpenAPIResolver;
import io.swagger.v3.parser.OpenAPIV3Parser;
import pt.uc.dei.rest_api_robustness_tester.security.AuthHandlers;
import pt.uc.dei.rest_api_robustness_tester.specification.OpenApiToRestApi;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApi;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApiConverter;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApiSpecification;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApiSetup;

import java.io.File;

public class Api2Pdf implements RestApiSetup
{
    @Override
    public RestApi Load()
    {
        //New API Key can be obtained at https://portal.api2pdf.com/register
        String apiKey = "3a83256f-5839-4dce-bf64-12bbecc79dd6";
    
        File file = new File("API Specifications\\Public tier 2\\Api2Pdf", "Api2Pdf - PDF Generation, Powered by AWS Lambda.yaml");
        AuthHandlers authHandlers = new AuthHandlers();
        authHandlers.AddAuthHandler("HeaderApiKey", requestBuilder -> requestBuilder.addHeader("Authorization", apiKey));
        authHandlers.AddAuthHandler("QueryApiKey", requestBuilder -> requestBuilder.addParameter("apikey", apiKey));
    
        OpenAPI openAPI = new OpenAPIV3Parser().read(file.getAbsolutePath());
        OpenAPIResolver res = new OpenAPIResolver(openAPI);
        openAPI = res.resolve();
    
        RestApiConverter<OpenAPI> converter = new OpenApiToRestApi();
        RestApiSpecification restAPISpecification = converter.Convert(openAPI);
        
        return new RestApi("Api2Pdf", restAPISpecification, authHandlers);
    }
}
