import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.parser.OpenAPIResolver;
import io.swagger.v3.parser.OpenAPIV3Parser;
import pt.uc.dei.rest_api_robustness_tester.request.Parameter;
import pt.uc.dei.rest_api_robustness_tester.security.AuthHandlers;
import pt.uc.dei.rest_api_robustness_tester.specification.*;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApiSetup;
import pt.uc.dei.rest_api_robustness_tester.workload.ParameterFilter;

import java.io.File;

public class AppVeyor implements RestApiSetup
{
    @Override
    public RestApi Load()
    {
        //New API Key can be obtained at https://ci.appveyor.com/api-keys
        String apiKey = "Bearer v2.qt9t8yo0scfmfdctkcxh";
        
        File file = new File("API Specifications\\Public tier 2\\AppVeyor", "AppVeyor.yaml");
        AuthHandlers authHandlers = new AuthHandlers();
        authHandlers.AddAuthHandler("apiToken", requestBuilder -> requestBuilder.addHeader("Authorization", apiKey));
        
        OpenAPI openAPI = new OpenAPIV3Parser().read(file.getAbsolutePath());
        OpenAPIResolver res = new OpenAPIResolver(openAPI);
        openAPI = res.resolve();
        
        RestApiConverter<OpenAPI> converter = new OpenApiToRestApi();
        RestApiSpecification restAPISpecification = converter.Convert(openAPI);
    
        RestApiConfig config = new RestApiConfig();
        config.AddParameterFilter(new ParameterFilter("accountName", Parameter.Location.Path).
                SetValue("mahname").
                ApplyToAll());
        
        return new RestApi("AppVeyor", restAPISpecification, authHandlers, config);
    }
}