import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.parser.OpenAPIResolver;
import io.swagger.v3.parser.OpenAPIV3Parser;
import pt.uc.dei.rest_api_robustness_tester.specification.*;
import pt.uc.dei.rest_api_robustness_tester.workload.ParameterFilter;
import pt.uc.dei.rest_api_robustness_tester.request.Parameter;

import java.io.File;
import java.util.List;
import java.util.ArrayList;

public class BikeWiseAPIv2 implements RestApiSetup
{
    @Override
    public RestApi Load()
    {
        File file = new File("API Specifications\\Public tier 2\\BikeWise", "BikeWise API v2.yaml");
        OpenAPI openAPI = new OpenAPIV3Parser().read(file.getAbsolutePath());
        OpenAPIResolver res = new OpenAPIResolver(openAPI);
        openAPI = res.resolve();
    
        RestApiConverter<OpenAPI> converter = new OpenApiToRestApi();
        RestApiSpecification restAPISpecification = converter.Convert(openAPI);
        
		RestApiConfig config = new RestApiConfig();
        config.AddParameterFilter(new ParameterFilter("id", Parameter.Location.Path).SetValues(GetAccidentIDs()).ApplyToAll());
		
        return new RestApi("BikeWise API v2", restAPISpecification, config);
    }
	
	private List<String> GetAccidentIDs()
	{
		List<String> list = new ArrayList<>();
		
		list.add("113743");
		list.add("113744");
		list.add("113742");
		list.add("113720");
		list.add("113722");
		list.add("113725");
		list.add("113719");
		list.add("113732");
		list.add("113735");
		list.add("113740");
		list.add("113737");
		list.add("113717");
		list.add("113718");
		list.add("113716");
		list.add("113714");
		list.add("113741");
		list.add("113729");
		list.add("113715");
		list.add("113713");
		list.add("113711");
		list.add("113712");
		list.add("113710");
		list.add("113708");
		list.add("113705");
		list.add("113730");
		list.add("113734");
		list.add("113706");
		list.add("113709");
		list.add("113707");
		list.add("113704");
		list.add("113703");
		list.add("113739");
		list.add("113702");
		list.add("113701");
		list.add("113699");
		list.add("113695");
		list.add("113697");
		list.add("113696");
		list.add("113679");
		list.add("113678");
		list.add("113693");
		list.add("113689");
		list.add("113677");
		list.add("113654");
		list.add("113662");
		list.add("113650");
		list.add("113649");
		list.add("113646");
		list.add("113627");
		list.add("113644");
		list.add("113625");
		list.add("113633");
		list.add("113623");
		list.add("113624");
		list.add("113620");
		
		return list;
	}
}
