import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.parser.OpenAPIResolver;
import io.swagger.v3.parser.OpenAPIV3Parser;
import pt.uc.dei.rest_api_robustness_tester.specification.*;
import pt.uc.dei.rest_api_robustness_tester.request.Parameter;
import pt.uc.dei.rest_api_robustness_tester.Path;
import pt.uc.dei.rest_api_robustness_tester.workload.OperationFilter;
import pt.uc.dei.rest_api_robustness_tester.workload.ParameterFilter;
import pt.uc.dei.rest_api_robustness_tester.request.AdditionalParameter;

import java.io.File;
import java.util.List;
import java.util.ArrayList;

public class CallControl implements RestApiSetup
{
    @Override
    public RestApi Load()
    {
        String apiKey = "demo";
    
        File file = new File("API Specifications\\Public tier 2\\Call Control", "Call Control.yaml");
    
        OpenAPI openAPI = new OpenAPIV3Parser().read(file.getAbsolutePath());
        OpenAPIResolver res = new OpenAPIResolver(openAPI);
        openAPI = res.resolve();
    
        RestApiConverter<OpenAPI> converter = new OpenApiToRestApi();
        RestApiSpecification restAPISpecification = converter.Convert(openAPI);
		
		List<String> phoneNumbers = new ArrayList<>();
		phoneNumbers.add("18008472911");
		phoneNumbers.add("13157244022");
		phoneNumbers.add("17275567300");
		phoneNumbers.add("18008276655");
		phoneNumbers.add("12061231234");
		
		RestApiConfig config = new RestApiConfig();
        config.AddAdditionalParameter(new AdditionalParameter("api_key", Parameter.Location.Query, apiKey).ApplyToAll()).
			AddParameterFilter(new ParameterFilter("phoneNumber", Parameter.Location.Path).SetValues(phoneNumbers).ApplyToAll());
        
        return new RestApi("CallControl", restAPISpecification, config);
    }
}
