import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.parser.OpenAPIResolver;
import io.swagger.v3.parser.OpenAPIV3Parser;
import pt.uc.dei.rest_api_robustness_tester.security.AuthHandlers;
import pt.uc.dei.rest_api_robustness_tester.specification.*;
import pt.uc.dei.rest_api_robustness_tester.request.Parameter;
import pt.uc.dei.rest_api_robustness_tester.Path;
import pt.uc.dei.rest_api_robustness_tester.workload.OperationFilter;
import pt.uc.dei.rest_api_robustness_tester.workload.ParameterFilter;

import java.io.File;
import java.util.Base64;
import java.util.List;
import java.util.ArrayList;

public class CenitIO implements RestApiSetup
{
    @Override
    public RestApi Load()
    {
        String key = "A183740129";
		String token = "ts5x3DGD1nrPk89hj_G_";
    
        File file = new File("API Specifications\\Public tier 2\\Cenit IO", "Cenit IO.yaml");
        AuthHandlers authHandlers = new AuthHandlers();
        authHandlers.AddAuthHandler("X-User-Access-Key", requestBuilder -> requestBuilder.addHeader("X-User-Access-Key", key));
		authHandlers.AddAuthHandler("X-User-Access-Token", requestBuilder -> requestBuilder.addHeader("X-User-Access-Token", token));
    
        OpenAPI openAPI = new OpenAPIV3Parser().read(file.getAbsolutePath());
        OpenAPIResolver res = new OpenAPIResolver(openAPI);
        openAPI = res.resolve();
    
        RestApiConverter<OpenAPI> converter = new OpenApiToRestApi();
        RestApiSpecification restAPISpecification = converter.Convert(openAPI);
        
        return new RestApi("CenitIO", restAPISpecification, authHandlers);
    }
}
