import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.parser.OpenAPIResolver;
import io.swagger.v3.parser.OpenAPIV3Parser;
import pt.uc.dei.rest_api_robustness_tester.specification.*;
import pt.uc.dei.rest_api_robustness_tester.Path;
import pt.uc.dei.rest_api_robustness_tester.workload.OperationFilter;

import java.io.File;

public class CollegeFootballData implements RestApiSetup
{
    @Override
    public RestApi Load()
    {
        File file = new File("API Specifications\\Public tier 2\\College Football Data", "College Football Data.yaml");
    
        OpenAPI openAPI = new OpenAPIV3Parser().read(file.getAbsolutePath());
        OpenAPIResolver res = new OpenAPIResolver(openAPI);
        openAPI = res.resolve();
    
        RestApiConverter<OpenAPI> converter = new OpenApiToRestApi();
        RestApiSpecification restAPISpecification = converter.Convert(openAPI);
		
		RestApiConfig config = new RestApiConfig();
        config.AddOperationFilter(new OperationFilter(Path.HttpMethod.GET, "/ratings/sp/conferences").Ignore()).
			AddOperationFilter(new OperationFilter(Path.HttpMethod.GET, "/ratings/sp").Ignore());
        
        return new RestApi("CollegeFootballData", restAPISpecification, config);
    }
}
