import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.parser.OpenAPIResolver;
import io.swagger.v3.parser.OpenAPIV3Parser;
import pt.uc.dei.rest_api_robustness_tester.security.AuthHandlers;
import pt.uc.dei.rest_api_robustness_tester.specification.*;
import pt.uc.dei.rest_api_robustness_tester.request.Parameter;
import pt.uc.dei.rest_api_robustness_tester.Path;
import pt.uc.dei.rest_api_robustness_tester.workload.OperationFilter;
import pt.uc.dei.rest_api_robustness_tester.workload.ParameterFilter;

import java.io.File;
import java.util.Base64;
import java.util.List;
import java.util.ArrayList;

public class CrossBrowserTesting implements RestApiSetup
{
    @Override
    public RestApi Load()
    {
        String apiKey = "a21230127@isec.pt:u21aa1384901fa26";
		String auth = "Basic " + Base64.getEncoder().encodeToString(apiKey.getBytes());
    
        File file = new File("API Specifications\\Public tier 2\\CrossBrowserTesting", "CrossBrowserTesting.yaml");
        AuthHandlers authHandlers = new AuthHandlers();
        authHandlers.AddAuthHandler("basicAuth", requestBuilder -> requestBuilder.addHeader("Authorization", auth));
    
        OpenAPI openAPI = new OpenAPIV3Parser().read(file.getAbsolutePath());
        OpenAPIResolver res = new OpenAPIResolver(openAPI);
        openAPI = res.resolve();
    
        RestApiConverter<OpenAPI> converter = new OpenApiToRestApi();
        RestApiSpecification restAPISpecification = converter.Convert(openAPI);
        
        return new RestApi("CrossBrowserTesting", restAPISpecification, authHandlers);
    }
}
