import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.parser.OpenAPIResolver;
import io.swagger.v3.parser.OpenAPIV3Parser;
import pt.uc.dei.rest_api_robustness_tester.security.AuthHandlers;
import pt.uc.dei.rest_api_robustness_tester.specification.*;
import pt.uc.dei.rest_api_robustness_tester.request.Parameter;
import pt.uc.dei.rest_api_robustness_tester.Path;
import pt.uc.dei.rest_api_robustness_tester.workload.OperationFilter;
import pt.uc.dei.rest_api_robustness_tester.workload.ParameterFilter;

import java.io.File;
import java.util.Base64;
import java.util.List;
import java.util.ArrayList;

public class D7SMS implements RestApiSetup
{
    @Override
    public RestApi Load()
    {
        String apiKey = "firs4954:seEcQxvl";
		String auth = "Basic " + Base64.getEncoder().encodeToString(apiKey.getBytes());
    
        File file = new File("API Specifications\\Public tier 2\\D7SMS", "D7SMS.yaml");
        AuthHandlers authHandlers = new AuthHandlers();
        authHandlers.AddAuthHandler("auth", requestBuilder -> requestBuilder.addHeader("Authorization", auth));
    
        OpenAPI openAPI = new OpenAPIV3Parser().read(file.getAbsolutePath());
        OpenAPIResolver res = new OpenAPIResolver(openAPI);
        openAPI = res.resolve();
    
        RestApiConverter<OpenAPI> converter = new OpenApiToRestApi();
        RestApiSpecification restAPISpecification = converter.Convert(openAPI);
        
        return new RestApi("D7SMS", restAPISpecification, authHandlers);
    }
}
