import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.parser.OpenAPIResolver;
import io.swagger.v3.parser.OpenAPIV3Parser;
import pt.uc.dei.rest_api_robustness_tester.security.AuthHandlers;
import pt.uc.dei.rest_api_robustness_tester.specification.OpenApiToRestApi;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApi;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApiConverter;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApiSpecification;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApiSetup;

import java.io.File;

//FIXME: 415 Unsupported Media Type: "Unsupported Media Type"
public class ElmahIo implements RestApiSetup
{
    @Override
    public RestApi Load()
    {
        //New API Key can be obtained at https://app.elmah.io/organisation/settings/?organisationId=91a1c81c5a12406f973f48f133fab7ca#apiKeys
        //(Only available for 21 days)
        String apiKey = "6586c5b43a894482aacd80db3ab771fa";
    
        File file = new File("API Specifications\\Public tier 2\\ElmahIo", "elmah.io.yaml");
        AuthHandlers authHandlers = new AuthHandlers();
        authHandlers.AddAuthHandler("api_key", requestBuilder -> requestBuilder.addParameter("api_key", apiKey));
    
        OpenAPI openAPI = new OpenAPIV3Parser().read(file.getAbsolutePath());
        OpenAPIResolver res = new OpenAPIResolver(openAPI);
        openAPI = res.resolve();
    
        RestApiConverter<OpenAPI> converter = new OpenApiToRestApi();
        RestApiSpecification restAPISpecification = converter.Convert(openAPI);
    
        return new RestApi("elmah.io", restAPISpecification, authHandlers);
    }
}
