import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.parser.OpenAPIResolver;
import io.swagger.v3.parser.OpenAPIV3Parser;
import pt.uc.dei.rest_api_robustness_tester.specification.*;
import pt.uc.dei.rest_api_robustness_tester.workload.ParameterFilter;
import pt.uc.dei.rest_api_robustness_tester.request.Parameter;
import pt.uc.dei.rest_api_robustness_tester.request.AdditionalParameter;
import java.io.File;

public class Europeana implements RestApiSetup
{
    @Override
    public RestApi Load()
    {
        String apiKey = "MrQvgFb2J";
    
        File file = new File("API Specifications\\Public tier 2\\Europeana", "Europeana.yaml");
    
        OpenAPI openAPI = new OpenAPIV3Parser().read(file.getAbsolutePath());
        OpenAPIResolver res = new OpenAPIResolver(openAPI);
        openAPI = res.resolve();
    
        RestApiConverter<OpenAPI> converter = new OpenApiToRestApi();
        RestApiSpecification restAPISpecification = converter.Convert(openAPI);
		
		RestApiConfig config = new RestApiConfig();
        config.AddParameterFilter(new ParameterFilter("wskey", Parameter.Location.Query).Ignore().ApplyToAll()).
			AddAdditionalParameter(new AdditionalParameter("wskey", Parameter.Location.Query, apiKey).ApplyToAll());
        
        return new RestApi("Europeana", restAPISpecification, config);
    }
}
