import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.parser.OpenAPIResolver;
import io.swagger.v3.parser.OpenAPIV3Parser;
import pt.uc.dei.rest_api_robustness_tester.specification.*;
import pt.uc.dei.rest_api_robustness_tester.request.Parameter;
import pt.uc.dei.rest_api_robustness_tester.Path;
import pt.uc.dei.rest_api_robustness_tester.workload.OperationFilter;
import pt.uc.dei.rest_api_robustness_tester.workload.ParameterFilter;

import java.io.File;
import java.util.List;
import java.util.ArrayList;

public class OpenSkills implements RestApiSetup
{
    @Override
    public RestApi Load()
    {
        File file = new File("API Specifications\\Public tier 2\\Open Skills", "Open Skills.yaml");
        
        OpenAPI openAPI = new OpenAPIV3Parser().read(file.getAbsolutePath());
        OpenAPIResolver res = new OpenAPIResolver(openAPI);
        openAPI = res.resolve();
        
        RestApiConverter<OpenAPI> converter = new OpenApiToRestApi();
        RestApiSpecification restAPISpecification = converter.Convert(openAPI);
		
		List<String> jobs = new ArrayList<>();
		jobs.add("26bc4486dfd0f60b3bb0d8d64e001800");
		jobs.add("9be6e14491305132c175cb1781a3356c");
		jobs.add("d38d16bab3f9f25ae34ae3e2aad254d4");
		jobs.add("8576a78b5c1cae3a567ca7fd34500357");
		jobs.add("a59278d7f653db37e54a270345a91a05");
		jobs.add("9c631442c4966cd3e5a9e52fc70aff1c");
		jobs.add("f5a2151d370ebca7b49778e036a287e8");
		jobs.add("af2e31c2c64ae223b06eb7f0cbf59a98");
		jobs.add("ac029293b0ea43f168b004c4f04fca31");
		jobs.add("7d37dfe2eface4ae79db093b0a79385d");
		jobs.add("6cb0a6786c08d6c91a4fc9f61e19f62d");
		jobs.add("ec45194ae348e1bb21415064364f038b");
		jobs.add("4266e89fcaf06973fa23fc6f75b27682");
		jobs.add("0cfb09fa1c6691fd6d77a3d3743fa8bc");
		jobs.add("ac668f6dc8795ace795b2c1f7c889ba4");
		jobs.add("7826ba3a7150817935915f63b861936b");
		jobs.add("90bc1d89aaee33a96c1b70fef0750d62");
		jobs.add("814eb6844cf824e6945fb02a48f0e569");
		jobs.add("772053d8bb2c6e127b0bf216e50285ed");
		jobs.add("de0a3e90cdd112dd78120d4c8a9422b2");
		
		List<String> skills = new ArrayList<>();
		skills.add("02eb7ff7569c9beedda699580d679557");
		skills.add("a94d4806c457c4a596791eef636cdcc7");
		skills.add("6cc1298c92a50bceb8d65f4732f1df0e");
		skills.add("f8ed7c21ef82d1df05cd7b6b16f371dc");
		skills.add("2026ac4ecbb53c4f5e1c10c3610c4433");
		skills.add("95f77243ed69b650506208c045f3cce6");
		skills.add("b09a37a84b8a7b7efcc174a96a599c83");
		skills.add("01dfb7f78bd722a1a7927a60d64f41a5");
		skills.add("b910623ae6b9cea52905cc0ce0c4e199");
		skills.add("36d0e5e8ef3fb47d8325eb60e372b2af");
		skills.add("7a3f86d19052273d447a5d1f2099add9");
		skills.add("2fc3c7579400dc7189dce3f9c4b53676");
		skills.add("dbb6204410e4e5db2e24d15b2d2f9746");
		skills.add("c20229455995359b3377ecebe6eab22d");
		skills.add("ae3fb8d24d9a644119140a97fca41286");
		skills.add("fb1fb6798086cc691148c338996864d1");
		skills.add("7fad9e91f47b1d16e2c99947b07c4abb");
		skills.add("0726c2c9e73d7c24af6c0cfa985887f7");
		skills.add("4b7f1c8187eb41c8c5be22f466d1dbba");
		skills.add("4a0eb7b15f572139c335a8e0f8c88a06");
		
		RestApiConfig config = new RestApiConfig();
        config.AddParameterFilter(new ParameterFilter("id", Parameter.Location.Path).SetValues(jobs).
									ApplyToOperation(Path.HttpMethod.GET, "/jobs/{id}")).
				AddParameterFilter(new ParameterFilter("id", Parameter.Location.Path).SetValues(jobs).
									ApplyToOperation(Path.HttpMethod.GET, "/jobs/{id}/related_jobs")).
				AddParameterFilter(new ParameterFilter("id", Parameter.Location.Path).SetValues(jobs).
									ApplyToOperation(Path.HttpMethod.GET, "/jobs/{id}/related_skills")).
				AddParameterFilter(new ParameterFilter("id", Parameter.Location.Path).SetValues(skills).
									ApplyToOperation(Path.HttpMethod.GET, "/skills/{id}")).
				AddParameterFilter(new ParameterFilter("id", Parameter.Location.Path).SetValues(skills).
									ApplyToOperation(Path.HttpMethod.GET, "/skills/{id}/related_jobs")).
				AddParameterFilter(new ParameterFilter("id", Parameter.Location.Path).SetValues(skills).
									ApplyToOperation(Path.HttpMethod.GET, "/skills/{id}/related_skills"));
        
        return new RestApi("Open Skills", restAPISpecification, config);
    }
}
