import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.parser.OpenAPIResolver;
import io.swagger.v3.parser.OpenAPIV3Parser;
import pt.uc.dei.rest_api_robustness_tester.security.AuthHandlers;
import pt.uc.dei.rest_api_robustness_tester.specification.OpenApiToRestApi;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApi;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApiConverter;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApiSpecification;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApiSetup;

import java.io.File;

public class Traccar implements RestApiSetup
{
    @Override
    public RestApi Load()
    {
        //New API Key can be obtained at https://portal.api2pdf.com/register
        String apiKey = "Basic cHQudWMuZGVpLnJlc3R0ZXN0ZXJAZ21haWwuY29tOlBhc3N3b3JkMTIz";
    
        File file = new File("API Specifications\\Public tier 2\\Traccar", "Traccar.yaml");
        AuthHandlers authHandlers = new AuthHandlers();
        authHandlers.AddAuthHandler("basicAuth", requestBuilder -> requestBuilder.addHeader("Authorization", apiKey));
    
        OpenAPI openAPI = new OpenAPIV3Parser().read(file.getAbsolutePath());
        OpenAPIResolver res = new OpenAPIResolver(openAPI);
        openAPI = res.resolve();
    
        RestApiConverter<OpenAPI> converter = new OpenApiToRestApi();
        RestApiSpecification restAPISpecification = converter.Convert(openAPI);
        
        return new RestApi("Traccar", restAPISpecification, authHandlers);
    }
}
