import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.parser.OpenAPIResolver;
import io.swagger.v3.parser.OpenAPIV3Parser;
import pt.uc.dei.rest_api_robustness_tester.security.AuthHandlers;
import pt.uc.dei.rest_api_robustness_tester.specification.OpenApiToRestApi;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApi;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApiConverter;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApiSpecification;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApiSetup;

import java.io.File;

public class WMATARailStation implements RestApiSetup
{
    @Override
    public RestApi Load()
    {
        String apiKey = "70c9d23d5b4349c3bad93b4c7453770c";
    
        File file = new File("API Specifications\\Public tier 2\\WMATA", "WMATA Rail Station.yaml");
        AuthHandlers authHandlers = new AuthHandlers();
        authHandlers.AddAuthHandler("apiKeyHeader", requestBuilder -> requestBuilder.addHeader("api_key", apiKey));
    
        OpenAPI openAPI = new OpenAPIV3Parser().read(file.getAbsolutePath());
        OpenAPIResolver res = new OpenAPIResolver(openAPI);
        openAPI = res.resolve();
    
        RestApiConverter<OpenAPI> converter = new OpenApiToRestApi();
        RestApiSpecification restAPISpecification = converter.Convert(openAPI);
        
        return new RestApi("WMATARailStation", restAPISpecification, authHandlers);
    }
}
