import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.parser.OpenAPIResolver;
import io.swagger.v3.parser.OpenAPIV3Parser;
import pt.uc.dei.rest_api_robustness_tester.security.AuthHandlers;
import pt.uc.dei.rest_api_robustness_tester.specification.OpenApiToRestApi;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApi;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApiConverter;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApiSpecification;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApiSetup;

import java.io.File;

public class WhoHostsThis implements RestApiSetup
{
    @Override
    public RestApi Load()
    {
        String apiKey = "4055c50de5476d2b7f023608d536bdaec6364158b152094e88e5173081fb17805485ff";
    
        File file = new File("API Specifications\\Public tier 2\\Who Hosts This", "Who Hosts This.yaml");
        AuthHandlers authHandlers = new AuthHandlers();
        authHandlers.AddAuthHandler("QueryKey", requestBuilder -> requestBuilder.addParameter("key", apiKey));
    
        OpenAPI openAPI = new OpenAPIV3Parser().read(file.getAbsolutePath());
        OpenAPIResolver res = new OpenAPIResolver(openAPI);
        openAPI = res.resolve();
    
        RestApiConverter<OpenAPI> converter = new OpenApiToRestApi();
        RestApiSpecification restAPISpecification = converter.Convert(openAPI);
        
        return new RestApi("WhoHostsThis", restAPISpecification, authHandlers);
    }
}
