import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.parser.OpenAPIResolver;
import io.swagger.v3.parser.OpenAPIV3Parser;
import pt.uc.dei.rest_api_robustness_tester.specification.OpenApiToRestApi;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApi;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApiConverter;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApiSpecification;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApiSetup;
import pt.uc.dei.rest_api_robustness_tester.specification.RestApiConfig;
import pt.uc.dei.rest_api_robustness_tester.request.AdditionalParameter;
import pt.uc.dei.rest_api_robustness_tester.request.Parameter;

import java.io.File;

public class ZoomConnect implements RestApiSetup
{
    @Override
    public RestApi Load()
    {
        String email = "pt.uc.dei.resttester@gmail.com";
		String token = "07df39f5-5c01-4746-8771-f378c880c982";
    
        File file = new File("API Specifications\\Public tier 2\\Zoom Connect", "Zoom Connect.yaml");
    
        OpenAPI openAPI = new OpenAPIV3Parser().read(file.getAbsolutePath());
        OpenAPIResolver res = new OpenAPIResolver(openAPI);
        openAPI = res.resolve();
    
        RestApiConverter<OpenAPI> converter = new OpenApiToRestApi();
        RestApiSpecification restAPISpecification = converter.Convert(openAPI);
    
        RestApiConfig config = new RestApiConfig();
        config.AddAdditionalParameter(new AdditionalParameter("email", Parameter.Location.Header, email).ApplyToAll()).
                AddAdditionalParameter(new AdditionalParameter("token", Parameter.Location.Header, token).ApplyToAll());
    
        return new RestApi("ZoomConnect", restAPISpecification, config);
    }
}
