package pt.uc.dei.rest_api_robustness_tester.request;

import pt.uc.dei.rest_api_robustness_tester.schema.SchemaInstance;

public class ParameterInstance
{
    private final String name;
    private final Parameter.Location location;
    private final String mediaType;
    private final SchemaInstance schema;
    private final Parameter base;
    
    public ParameterInstance(String name, Parameter.Location location, SchemaInstance schema, Parameter base)
    {
        this(name, location, null, schema, base);
    }
    public ParameterInstance(String name, Parameter.Location location, String mediaType, SchemaInstance schema, Parameter base)
    {
        this.name = name;
        this.location = location;
        this.mediaType = mediaType;
        this.schema = schema;
        this.base = base;
    }
    
    public String Name()
    {
        return this.name;
    }
    
    public Parameter.Location Location()
    {
        return this.location;
    }
    
    public String MediaType()
    {
        return this.mediaType;
    }
    
    public SchemaInstance Schema()
    {
        return this.schema;
    }
    
    public Parameter Base()
    {
        return this.base;
    }
}
