package pt.uc.dei.rest_api_robustness_tester.schema;

import org.apache.commons.lang3.RandomUtils;

import java.util.ArrayList;

public class ArraySchema<T extends Schema> extends CompositeSchema<ArrayList<T>>
{
    //TODO: maybe by default use Array.MIN and Array.MAX?
    //      or
    //      some MIN and MAX Global constants?
    public Integer minItems = 1;
    public Integer maxItems = 10;
    
    public T items = null;
    private final SchemaBuilder itemsBuilder;
    
    ArraySchema(SchemaBuilder builder)
    {
        super(builder);
        itemsBuilder = builder.items;
        try
        {
            if(builder.minimum != null)
                this.minItems = Integer.valueOf(builder.minimum);
            if(builder.maximum != null)
                this.maxItems = Integer.valueOf(builder.maximum);
            if(builder.items != null)
                this.items = (T)builder.items.Build();
        }
        catch(Exception ignored) {}
    }
    
    @Override
    protected Schema<ArrayList<T>> New() throws Exception
    {
        value = new ArrayList<>();
        for(int i = 0; i < RandomUtils.nextInt(minItems, maxItems); i++)
            value.add((T) itemsBuilder.Build().New());
        return this;
    }
    
//    @Override
//    protected String New(String value, MediaTypeFormatter formatter) throws Exception
//    {
//        List<String> formattedList = new ArrayList<>();
//        ArrayList rawList = formatter.Deserialize(value, ArrayList.class);
//        for(Object t : rawList)
//        {
//            String _t = "" + t;
//            formattedList.add(items.New(_t, formatter));
//        }
//        return formatter.Serialize(formattedList);
//    }
}
