package pt.uc.dei.rest_api_robustness_tester.schema;

import org.apache.commons.lang3.RandomUtils;

public class BooleanSchema extends PrimitiveSchema<Boolean>
{
    BooleanSchema(SchemaBuilder builder)
    {
        super(builder);
        try
        {
            if (builder.defaultValue != null)
                this.defaultValue = Boolean.parseBoolean(builder.defaultValue);
            if(!builder.enumValues.isEmpty())
                for(String s : builder.enumValues)
                    this.enumValues.add(Boolean.parseBoolean(s));
        }
        catch(Exception ignored) {}
    }
    
    @Override
    protected Schema<Boolean> New() throws Exception
    {
        value = RandomUtils.nextBoolean();
        return this;
    }
    
//    @Override
//    protected String New(String value, MediaTypeFormatter formatter) throws Exception
//    {
//        return value;
//    }
}