package pt.uc.dei.rest_api_robustness_tester.schema;

import org.apache.commons.lang3.RandomUtils;
import org.joda.time.LocalDateTime;

public class DateTimeSchema extends DateSchema
{
    protected static final int DEFAULT_MIN_HOUR = 0;
    protected static final int DEFAULT_MAX_HOUR = 23;
    protected static final int DEFAULT_MIN_MINUTE = 0;
    protected static final int DEFAULT_MAX_MINUTE = 59;
    protected static final int DEFAULT_MIN_SECOND = 0;
    protected static final int DEFAULT_MAX_SECOND = 59;
    
    DateTimeSchema(SchemaBuilder builder)
    {
        super(builder);
    }
    
    @Override
    protected Schema<String> New() throws Exception
    {
        int day = RandomUtils.nextInt(DEFAULT_MIN_DAY, DEFAULT_MAX_DAY);
        int month = RandomUtils.nextInt(DEFAULT_MIN_MONTH, DEFAULT_MAX_MONTH);
        int year = RandomUtils.nextInt(DEFAULT_MIN_YEAR, DEFAULT_MAX_YEAR);
    
        int hour = RandomUtils.nextInt(DEFAULT_MIN_HOUR, DEFAULT_MAX_HOUR);
        int minute = RandomUtils.nextInt(DEFAULT_MIN_MINUTE, DEFAULT_MAX_MINUTE);
        int second = RandomUtils.nextInt(DEFAULT_MIN_SECOND, DEFAULT_MAX_SECOND);
    
        LocalDateTime localDateTime = FixDate(year, month, day).
                toLocalDateTime().
                withHourOfDay(hour).
                withMinuteOfHour(minute).
                withSecondOfMinute(second);
    
        value = localDateTime.toString(StringPattern());
        return this;
    }
    
//    @Override
//    protected String New(String value, MediaTypeFormatter formatter) throws Exception
//    {
//        DateTime dateTime = formatter.Deserialize(value, DateTime.class);
//        return formatter.Serialize(dateTime.toString(StringPattern()));
//    }
    
    @Override
    protected String StringPattern()
    {
        return "yyyy-MM-dd'T'HH:mm:ss";
    }
}
