package pt.uc.dei.rest_api_robustness_tester.schema;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

public class ObjectSchema<K extends String, V extends Schema> extends CompositeSchema<LinkedHashMap<K, V>>
{
    public List<K> required = new ArrayList<>();
    
    public Map<K, V> properties = new LinkedHashMap<>();
    
    ObjectSchema(SchemaBuilder builder)
    {
        super(builder);
        try
        {
            if(!builder.properties.isEmpty())
                for(String s : builder.properties.keySet())
                    this.properties.put((K)s, (V) builder.properties.get(s).Build());
            if(!builder.required.isEmpty())
                for(String s : builder.required)
                    this.required.add((K)s);
        }
        catch(Exception ignored) {}
    }
    
    @Override
    protected Schema<LinkedHashMap<K, V>> New() throws Exception
    {
        value = new LinkedHashMap<>();
        for(K k : properties.keySet())
            value.put(k, (V)properties.get(k).New());
        return this;
    }
    
//    @Override
//    protected LinkedHashMap<K, V> New(String value) throws Exception
//    {
//        Map<String, String> formattedMap = new LinkedHashMap<>();
//        LinkedHashMap rawMap = formatter.Deserialize(value, LinkedHashMap.class);
//        for(Object k : rawMap.keySet())
//        {
//            String _k = "" + k;
//            String _v = "" + rawMap.get(k);
//            if(properties.containsKey(_k))
//            {
//                V schemaV = properties.get(_k);
//                formattedMap.put(_k, schemaV.New(_v, formatter));
//            }
//        }
//        return formatter.Serialize(formattedMap);
//    }
}
